package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*图表配置
* @author quyixiao
* @since 2025-10-21
*/

@Data
@TableName("vv_chart_config")
public class VvChartConfigEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvChartConfigEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                         // 
    public final static String is_delete = CLASS_NAME + "is_delete";            // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";        // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";        // 修改时间
    public final static String sql_config = CLASS_NAME + "sql_config";          // sql配置
    public final static String params_config = CLASS_NAME + "params_config";    // 参数
    public final static String run_id = CLASS_NAME + "run_id";                  // 运行id
    public final static String type_ = CLASS_NAME + "type";                     // line_chart
    public final static String cron_exp = CLASS_NAME + "cron_exp";              // 表达式
    public final static String header_title = CLASS_NAME + "header_title";      // 标题
    public final static String x_title = CLASS_NAME + "x_title";                // x轴标题
    public final static String y_title = CLASS_NAME + "y_title";                // y轴标题
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //sql配置
    private String sqlConfig;
    //参数
    private String paramsConfig;
    //运行id
    private String runId;
    //line_chart
    private String type;
    //表达式
    private String cronExp;
    //标题
    private String headerTitle;
    //x轴标题
    private String xTitle;
    //y轴标题
    private String yTitle;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * sql配置 
     * @return
     */
    public String getSqlConfig() {
        return sqlConfig;
    }
    /**
     * sql配置 
     * @param sqlConfig
     */
    public void setSqlConfig(String sqlConfig) {
        this.sqlConfig = sqlConfig;
    }

    /**
     * 参数 
     * @return
     */
    public String getParamsConfig() {
        return paramsConfig;
    }
    /**
     * 参数 
     * @param paramsConfig
     */
    public void setParamsConfig(String paramsConfig) {
        this.paramsConfig = paramsConfig;
    }

    /**
     * 运行id 
     * @return
     */
    public String getRunId() {
        return runId;
    }
    /**
     * 运行id 
     * @param runId
     */
    public void setRunId(String runId) {
        this.runId = runId;
    }

    /**
     * line_chart 
     * @return
     */
    public String getType() {
        return type;
    }
    /**
     * line_chart 
     * @param type
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 表达式 
     * @return
     */
    public String getCronExp() {
        return cronExp;
    }
    /**
     * 表达式 
     * @param cronExp
     */
    public void setCronExp(String cronExp) {
        this.cronExp = cronExp;
    }

    /**
     * 标题 
     * @return
     */
    public String getHeaderTitle() {
        return headerTitle;
    }
    /**
     * 标题 
     * @param headerTitle
     */
    public void setHeaderTitle(String headerTitle) {
        this.headerTitle = headerTitle;
    }

    /**
     * x轴标题 
     * @return
     */
    public String getXTitle() {
        return xTitle;
    }
    /**
     * x轴标题 
     * @param xTitle
     */
    public void setXTitle(String xTitle) {
        this.xTitle = xTitle;
    }

    /**
     * y轴标题 
     * @return
     */
    public String getYTitle() {
        return yTitle;
    }
    /**
     * y轴标题 
     * @param yTitle
     */
    public void setYTitle(String yTitle) {
        this.yTitle = yTitle;
    }

    @Override
    public String toString() {
        return "VvChartConfigEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",sqlConfig=" + sqlConfig +
                ",paramsConfig=" + paramsConfig +
                ",runId=" + runId +
                ",type=" + type +
                ",cronExp=" + cronExp +
                ",headerTitle=" + headerTitle +
                ",xTitle=" + xTitle +
                ",yTitle=" + yTitle +
                "}";
    }
}